Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# XML_Codecs.h File Reference

`#include "ACEXML/common/ACEXML_Export.h"`
`#include "ACEXML/common/XML_Types.h"`
`#include "ace/Codecs.h"`

Include dependency graph for XML_Codecs.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | ACEXML_Base64
| Encode/Decode a stream of ACEXML_Chars according to Base64 encoding. More...

## Detailed Description

Id:
  XML_Codecs.h,v 1.5 2003/07/19 19:04:10 dhinton Exp

Author:
  Krishnakumar B <kitty@cs.wustl.edu>

XML_Codecs is a generic wrapper for various encoding and decoding mechanisms used in ACEXML. Currently it includes support for handling Base64 content transfer-encoding of ACEXML_Chars.